REST APIIdentityKnow Your Business (KYB)

POST

Submit one or more agreement attestations for an identity. Each submission is validated against document-service before being stored.

Path Params

  • identityId string uuid required
    The unique ID of the identity

Body Params

array of objects

  • agreementId string enum required
    The agreement type being attested
    amlAttestationnonSolicitationLetterEunonSolicitationLetterSg
  • revision integer required
    The revision number of the agreement content

    >= 1

  • attested boolean required
    Whether the user attested to this agreement
  • attestationDate string date-time required
    ISO 8601 timestamp of when the attestation occurred

Responses

201
201

Response Body

object

  • identityId string uuid required
    The identity ID
  • acceptedAgreements array of objects required
    Successfully accepted agreements
    acceptedAgreements object
    • id string required
      Internal ID for the agreement association
    • agreementId string enum required
      The agreement type attested
      amlAttestationnonSolicitationLetterEunonSolicitationLetterSg
    • revision integer required
      Revision number at time of attestation

      >= 1

    • attested boolean required
      Whether the user attested to this agreement
    • attestationDate string date-time required
      ISO 8601 timestamp of attestation
    • status string enum required
      Status of the agreement
      missingcountExceededsubmittedinReviewverified
    • attestedByUserId string nullable required
      BitGo user ID of the user who attested, from request context

      up to 36 characters

    • createdAt string required
      ISO timestamp when agreement was created
    • updatedAt string required
      ISO timestamp when agreement was last updated
400
400

Response Body

object

  • error string required
401
401

Response Body

object

  • error string required
404
404

Response Body

object

  • error string required
429
429

Response Body

object

  • error string required
500
500

Response Body

object

  • error string required
503
503

Response Body

object

  • error string required